Bug 8548 - Add callnumber sort option to overdue report
Summary: Add callnumber sort option to overdue report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-01 12:22 UTC by Nicole C. Engard
Modified: 2017-04-02 17:05 UTC (History)
11 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8548: Add datatable to circ overdue report, remove sortby filter (5.19 KB, patch)
2017-02-14 01:39 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED OFF] Bug 8548: Add datatable to circ overdue report, remove sortby filter (5.27 KB, patch)
2017-02-20 14:03 UTC, Baptiste
Details | Diff | Splinter Review
Bug 8548: Add datatable to circ overdue report, remove sortby filter (8.10 KB, patch)
2017-02-20 22:27 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 8548: Add datatable to circ overdue report, remove sortby filter (8.27 KB, patch)
2017-02-21 06:00 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8548: Add datatable to circ overdue report, remove sortby filter (8.34 KB, patch)
2017-03-20 14:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-08-01 12:22:00 UTC
The overdue report (cgi-bin/koha/circ/overdue.pl) has sort options in the filters but call number isn't there and it does appear on the report so it should be a column you can sort on.
Comment 1 Katrin Fischer 2015-06-06 23:45:45 UTC
I think ideally we should make all the columns sortable there using a datatable.
Comment 2 Katrin Fischer 2015-06-06 23:47:23 UTC
Hm, as there is a specific sorting option in the search form, it might be easier to add a sort on cn_sort or itemcallnumber?
Comment 3 Aleisha Amohia 2017-02-14 01:39:18 UTC
Created attachment 60170 [details] [review]
Bug 8548: Add datatable to circ overdue report, remove sortby filter

This patch adds a datatable to the circ overdue report. Since the
datatable makes sorting easy, I've also removed the sort by filter on
the side.

To test:
1) Go to Circulation -> Overdues
2) Notice overdues report shows as datatable
3) Confirm sorting on all columns works
4) Test the Filters and confirm they all still work as expected

Sponsored-by: Catalyst IT
Comment 4 Baptiste 2017-02-20 14:03:55 UTC
Created attachment 60466 [details] [review]
[SIGNED OFF] Bug 8548: Add datatable to circ overdue report, remove sortby filter

This patch adds a datatable to the circ overdue report. Since the
datatable makes sorting easy, I've also removed the sort by filter on
the side.

To test:
1) Go to Circulation -> Overdues
2) Notice overdues report shows as datatable
3) Confirm sorting on all columns works
4) Test the Filters and confirm they all still work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 5 Jonathan Druart 2017-02-20 14:15:16 UTC
Aleisha, it seems that there is still code related to the "order" parameter.
I guess we should get rid of it as well (search for '$order' in the pl script).
Comment 6 Aleisha Amohia 2017-02-20 22:27:39 UTC
Created attachment 60483 [details] [review]
Bug 8548: Add datatable to circ overdue report, remove sortby filter

This patch adds a datatable to the circ overdue report. Since the
datatable makes sorting easy, I've also removed the sort by filter on
the side.

To test:
1) Go to Circulation -> Overdues
2) Notice overdues report shows as datatable
3) Confirm sorting on all columns works
4) Test the Filters and confirm they all still work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 7 Marc Véron 2017-02-21 06:00:13 UTC
Created attachment 60484 [details] [review]
Bug 8548: Add datatable to circ overdue report, remove sortby filter

This patch adds a datatable to the circ overdue report. Since the
datatable makes sorting easy, I've also removed the sort by filter on
the side.

To test:
1) Go to Circulation -> Overdues
2) Notice overdues report shows as datatable
3) Confirm sorting on all columns works
4) Test the Filters and confirm they all still work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 8 Jonathan Druart 2017-02-22 12:36:19 UTC
Aleisha,
Sorry it seems that I missed something in my previous tests: If you remove the sort "filter" we are going to loose the ability to export sorted results.
I am not sure if it's a big deal as it's easily feasible using LibreOffice (or similar).
I'd like to get other opinions here.
Comment 9 Nick Clemens 2017-03-20 10:07:33 UTC
I think you are right Jonathan, once the results are exported the end user can sort in whichever program they use. These patches are a nice improvement on the overdues screen
Comment 10 Jonathan Druart 2017-03-20 14:15:12 UTC
Created attachment 61302 [details] [review]
Bug 8548: Add datatable to circ overdue report, remove sortby filter

This patch adds a datatable to the circ overdue report. Since the
datatable makes sorting easy, I've also removed the sort by filter on
the side.

To test:
1) Go to Circulation -> Overdues
2) Notice overdues report shows as datatable
3) Confirm sorting on all columns works
4) Test the Filters and confirm they all still work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Kyle M Hall 2017-03-31 13:16:23 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 12 Katrin Fischer 2017-04-02 17:05:43 UTC
Nice patch, but I think more an enhancement than a bug fix!

This patch has been pushed to 16.11.x and will be in 16.11.07.